

import java.awt.*;
import javax.swing.*;
import java.io.*; 

public class BasicFile
{
	File select;
	String text; 
	
	public BasicFile()
	{
		JFileChooser choose = new JFileChooser("."); 
		int status = choose.showOpenDialog(null); 
		
		if(status == JFileChooser.APPROVE_OPTION)
			select = choose.getSelectedFile();
			
		text = ""; 
	}
	
	public String getName()
	{
		return select.getName();
	}
	
	public String getContent()
	{
		String s = ""; 
		
		try
		{
			BufferedReader bf = new BufferedReader(new FileReader(select));
			while((s = bf.readLine()) != null)
				text += s + "\n"; 

		}
		catch(IOException e)
		{
			JOptionPane.showMessageDialog(null,"Error Occured");
		}
		
		return text;
	}
}
