

import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
import javax.swing.event.*;
import java.io.*; 
import java.net.*;

public class DownLoadFile
{
	private JTextField enter; 
	private JEditorPane contents;
	private myJFrame f; 
	
	public DownLoadFile()
	{
		f = new myJFrame("My Web Broswer"); 
		Container c = f.getContentPane(); 
		
		enter = new JTextField("http://"); 
		enter.addActionListener(
			new ActionListener() 
			{
				public void actionPerformed(ActionEvent e)
				{
					getThePage(e.getActionCommand());
				}
			}
		);
		
		c.add(enter, BorderLayout.NORTH);
		
		contents = new JEditorPane(); 
		contents.setEditable(false); 
		contents.addHyperlinkListener(
			new HyperlinkListener()
			{
				public void hyperlinkUpdate(HyperlinkEvent e)
				{
					if(e.getEventType() == HyperlinkEvent.EventType.ACTIVATED)
						getThePage(e.getURL().toString());
				}
			}
		); 
		
		c.add(new JScrollPane(contents), BorderLayout.CENTER);
		f.setSize(400,300);
		f.setVisible(true);
	}
	
	private void getThePage(String location)
	{
		f.setCursor(Cursor.getPredefinedCursor(Cursor.WAIT_CURSOR));
		try
		{
			contents.setPage(location);
			enter.setText(location); 
			
		}
		catch(IOException io)
		{
			JOptionPane.showMessageDialog(f, "Error cannot access specified URL",
			"Bad URL", JOptionPane.ERROR_MESSAGE);
		}
		f.setCursor(Cursor.getPredefinedCursor(Cursor.DEFAULT_CURSOR)); 
	}
}