

import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
import java.io.*; 

public class myJFrame extends JFrame implements Constants 
{
	JMenuBar menubar; 
	JMenu menu; 
	Actions ac = new Actions(); 
	
	
	public myJFrame (String title)
	{
		super(title); 
		
		menubar = new JMenuBar(); 
		setJMenuBar(menubar); 
		
		buildMenu(); 
		
		this.addWindowListener(
			new WindowAdapter()
			{
				public void windowClosing(WindowEvent e)
				{
					int option = JOptionPane.showConfirmDialog(null, "Would you like to close the application?", 
					"Select an Option", JOptionPane.YES_NO_OPTION);
					
					if(option == 0)
					System.out.println("Bye");
				}
					
			}
			
		); 
	}
	private void buildMenu()
	{
		for(int i = 0; i < theMenu.length; i++)
		{
			menu = new JMenu(theMenu[i]); 
			
			switch(i)
			{
				case 0:
					for(int j = 0; j < fileItems.length; j++)
					{				
						if(fileItems[j].equals("-"))
							addSeparator();
						else
						{
							JMenuItem jm = new JMenuItem(fileItems[j]);
							jm.addActionListener(ac); 
							menu.add(jm); 
						}
					}
				break; 
				
				case 1:
					for(int j = 0; j < shape.length; j++)
					{
						JCheckBoxMenuItem jcb = new JCheckBoxMenuItem(shape[j]);
						menu.add(jcb);
					}
				break; 
				
				case 2:
					for(int j = 0; j < color.length; j++)
					{
						if(color[j].equals("-"))
							addSeparator();
						else if(color[j].equals("Others"))
						{							
							JMenu m = new JMenu(color[j]);
							
							for(int k = 0; k < otherColor.length; k++)
							{
								JCheckBoxMenuItem jcb = new JCheckBoxMenuItem(otherColor[k]);
								m.add(jcb);
							}
							
							menu.add(m);
						}
						else 
						{
							JCheckBoxMenuItem jcb = new JCheckBoxMenuItem(color[j]);
							menu.add(jcb);
						}
					}
				break; 
				
				case 3:
					for(int j = 0; j < helpItems.length; j++)
						{				
							JMenuItem jm = new JMenuItem(helpItems[j]);
							menu.add(jm); 
						}
				break;
			}
			menubar.add(menu);
		}
	}
	
	private void addSeparator()
	{
		JSeparator separator = new JSeparator();
		menu.add(separator);
	}

}